Highlights
Class defined in ui/Highlights.js#19 inherits from
new Highlights()
Constructor defined in ui/Highlights.js#20
this.get()
Method defined in ui/Highlights.js#32

Get currently active highlights.

Returns

Object | Returns current highlights as a scoped object.

this.set(scoped)
Method defined in ui/Highlights.js#50

Set highlights.

Parameters

scoped | Object | object describing highlights

Example

      highlights.set({
        'figures': ['figure-1', 'figure-3']
        'citations': ['citation-1', 'citation-5']
      });